
#include "MWindow.h"
#include "pluginproto.h"
#include "MListView.h"

class BMessageRunner;

class LoggerWindow: public MWindow
{
	private:
		MListView *lv;
		void LogMessage(const char *message, int32 parameter=0);
		BMessageRunner *runner;

	public:
		LoggerWindow(SoundPlayController *);
		virtual ~LoggerWindow();
		virtual void MessageReceived(BMessage *mes);
		virtual bool QuitRequested();
		virtual void Show();

		SoundPlayController *ctrl;
};